Attribute VB_Name = "Module1"
' Funes especficas para o micro-terminal FIT BASIC Bematech
 
Public Declare Function Bematech_FIT_IniciaComunicacao Lib "BemaSB32.dll" () As Integer
Public Declare Function Bematech_FIT_FechaComunicacao Lib "BemaSB32.dll" () As Integer
Public Declare Function Bematech_FIT_SelecionaProtocolo Lib "BemaSB32.dll" (ByVal Protocolo As Integer) As Integer
Public Declare Function Bematech_FIT_LimpaDisplay Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_LeituraCodigoBarras Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_EscreveDisplay Lib "BemaSB32.dll" (ByVal Terminal As Byte, ByVal Mensagem As String) As Integer
Public Declare Function Bematech_FIT_PosicionaCursor Lib "BemaSB32.dll" (ByVal Terminal As Byte, ByVal Linha As Byte, ByVal Coluna As Byte) As Integer
Public Declare Function Bematech_FIT_LerBuffer Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_EnviaSerial Lib "BemaSB32.dll" (ByVal Terminal As Byte, ByVal Dados As Byte, ByVal Serial As Byte) As Integer
Public Declare Function Bematech_FIT_ApagaLinha Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_DeslocaCursorCima Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_DeslocaCursorDireita Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_VersaoFirmware Lib "BemaSB32.dll" (ByVal Terminal As Byte) As Integer
Public Declare Function Bematech_FIT_ComandoGenerico Lib "BemaSB32.dll" (ByVal Terminal As Byte, ByVal Comando As Byte) As Integer

Public globalTimeout As Date
Public cBuffer As String
Public bTeclado As Boolean

Public Sub VerificaVersao(Terminal As String)
   Dim tmp As Byte

   tmp = Bematech_FIT_LerBuffer(CInt(Terminal))

   If Timer1.Tag = 1 And tmp <> Chr(3) Then
      cBuffer = cBuffer + tmp
   End If

   If tmp = Chr(2) Then
      Timer1.Tag = 1
   End If

   If tmp = Chr(13) Then
         frmPrincipal.mmoMensagem.Text = frmPrincipal.mmoMensagem.Text & Mid(cBuffer, 1, Len(cBuffer) - 2)
         cBuffer = ""
   End If

   If tmp = Chr(3) Then
     Timer1.Tag = 0
     Timer1.Enabled = False
   End If

   If (Second(Now) > 60) Then
     Timer1.Tag = 0
     Timer1.Enabled = False
     MsgBox "Erro de time-out na leitura dos bytes !", vbInformation + vbOKOnly, "Erro"
   End If
End Sub

Public Sub TimerCodigoBarras()
   Dim tmp As Byte
   
   tmp = Bematech_FIT_LerBuffer(CInt(txtIdTerminal.Text))

   If Timer1.Tag = 1 And tmp <> Chr(3) Then
     cBuffer = cBuffer & tmp
   End If

   If tmp = Chr(2) Then
      Timer1.Tag = 1
   End If

   If tmp = Chr(3) Then
        Timer1.Tag = 0
        Timer1.Enabled = False
        cBuffer = cBuffer + "<"
   End If

   If tmp = Chr(27) Then
         Timer1.Tag = 0
         Timer1.Enabled = False
         tmp = Bematech_FIT_LerBuffer(CInt(txtIdTerminal.Text))     ' recebe 03
         btnLerLeitor.Caption = "Ativar Leitura Cdigo Barras"
         MsgBox "Abortado atravs da tecla ESC !", vbInformation + vbOKOnly, "Ateno"
    End If

   If tmp = Chr(1) Then
         Timer1.Tag = 0
         Timer1.Enabled = False
         Bematech_FIT_LerBuffer (CInt(txtIdTerminal.Text))    ' recebe 03
         btnLerLeitor.Caption = "Ativar Leitura Cdigo Barras"
         MsgBox "Timeout na leitura dos dados !", vbInformation + vbOKOnly, "Ateno"
   End If

   If (Second(Now) > 60) Then
         Timer1.Tag = 0
         Timer1.Enabled = False
         btnLerLeitor.Caption = "Ativar Leitura Cdigo Barras"
         MsgBox "Timeout na leitura - Software !", vbInformation + vbOKOnly, "Ateno"
   End If
End Sub
